diff --git a/c2c/c2c_pbx-1.1.2_managed.cfg b/c2c/c2c_pbx-1.1.2_managed.cfg
index ef91fa8..18127cb 100644
--- a/c2c/c2c_pbx-1.1.2_managed.cfg
+++ b/c2c/c2c_pbx-1.1.2_managed.cfg
@@ -25,13 +25,13 @@ rootpw  --iscrypted $6$1borTku4eNK3qkUT$OxbiLI4gHDsMfHIO7pAgNgzP/m1dklxhxUEzafeD
 firewall --disabled
 authconfig --enableshadow --passalgo=sha512
 timezone --utc Europe/Prague
-bootloader --location=mbr --driveorder=vda --append="crashkernel=auto rhgb quiet"
+bootloader --location=mbr --driveorder=sda --append="crashkernel=auto rhgb quiet"
 selinux --permissive
 # The following is the partition information you requested
 # Note that any partitions you deleted are not expressed
 # here so unless you clear all partitions first, this is
 # not guaranteed to work
-clearpart --all --drives=vda
+clearpart --all --drives=sda
 part /boot --fstype=ext4 --size=500
 part pv.253002 --grow --size=1
 volgroup VirtVG --pesize=4096 pv.253002
diff --git a/c2c/kickstart-voip.cfg b/c2c/kickstart-voip.cfg
index 2f2b41e..07b88ec 100644
--- a/c2c/kickstart-voip.cfg
+++ b/c2c/kickstart-voip.cfg
@@ -2,18 +2,18 @@
 
 #version=DEVEL
 install
-url --url="http://mirror.hosting90.cz/centos/6/os/x86_64"
+url --url="http://mirror.hosting90.cz/centos/7/os/x86_64"
 
-repo --name="CentOS" --baseurl=http://mirror.hosting90.cz/centos/6/os/x86_64/ --cost=100
-repo --name="CentOS-Updates" --baseurl=http://mirror.hosting90.cz/centos/6/updates/x86_64/ --cost=100
-repo --name="EPEL" --baseurl=http://mirror.hosting90.cz/epel/6/x86_64/ --cost=90
+repo --name="CentOS" --baseurl=http://mirror.hosting90.cz/centos/7/os/x86_64/ --cost=100
+repo --name="CentOS-Updates" --baseurl=http://mirror.hosting90.cz/centos/7/updates/x86_64/ --cost=100
+repo --name="EPEL" --baseurl=http://mirror.hosting90.cz/epel/7/x86_64/ --cost=90
 repo --name="ELRepo" --baseurl=http://mirror.hosting90.cz/elrepo/elrepo/el6/x86_64/ --cost=80
-repo --name="MariaDB" --baseurl=http://yum.mariadb.org/10.0/centos6-amd64/ --cost=90
-repo --name="Nginx" --baseurl=http://nginx.org/packages/centos/6/x86_64/ --cost=90
-repo --name="Asterisk12" --baseurl=http://packages.asterisk.org/centos/6/asterisk-12/x86_64/ --cost=90
-repo --name="Digium12" --baseurl=http://packages.digium.com/centos/6/digium-12/x86_64/ --cost=90
-repo --name="Asterisk" --baseurl=http://packages.asterisk.org/centos/6/current/x86_64/ --cost=80
-repo --name="Digium" --baseurl=http://packages.digium.com/centos/6/current/x86_64/ --cost=80
+repo --name="MariaDB" --baseurl=http://yum.mariadb.org/10.0/centos7-amd64/ --cost=90
+repo --name="Nginx" --baseurl=http://nginx.org/packages/centos/7/x86_64/ --cost=90
+repo --name="Asterisk12" --baseurl=http://packages.asterisk.org/centos/7/asterisk-12/x86_64/ --cost=90
+repo --name="Digium12" --baseurl=http://packages.digium.com/centos/7/digium-12/x86_64/ --cost=90
+repo --name="Asterisk" --baseurl=http://packages.asterisk.org/centos/7/current/x86_64/ --cost=80
+repo --name="Digium" --baseurl=http://packages.digium.com/centos/7/current/x86_64/ --cost=80
 
 text
 skipx
diff --git a/vh/kickstart-vh-7-new.cfg b/vh/kickstart-vh-7-new.cfg
index 9091ac1..7fa357a 100644
--- a/vh/kickstart-vh-7-new.cfg
+++ b/vh/kickstart-vh-7-new.cfg
@@ -22,6 +22,7 @@ rootpw --iscrypted $6$walj7znfQkP6uges$yh/BMK4tlGBvoqOqorgs7AXKnIyadJoLy0LFYWpzH
 timezone Europe/Prague --isUtc
 # System bootloader configuration
 bootloader --location=mbr --append="pcie_aspm=off cpuidle.off=1 nodelayacct"
+ignoredisk --drives=/dev/disk/by-path/*usb*
 # Partition clearing information
 clearpart --all --initlabel
 # Disk partitioning information
@@ -47,7 +48,8 @@ kexec -l vmlinuz --reuse-cmdline --initrd initrd.img && kexec -e
 EOF
 chmod +x /tmp/reinstall.sh
 
-readarray -t DISK_ARRAY <<< "$(egrep -o sd[a-z]{1}$ /proc/partitions | sort)"
+#readarray -t DISK_ARRAY <<< "$(egrep -o sd[a-z]{1}$ /proc/partitions | sort)"
+readarray -t DISK_ARRAY <<< "$(for d in $(ls /dev/disk/by-path/| grep -v -e usb -e part); do basename $(readlink /dev/disk/by-path/$d); done)"
 
 vgchange -an
 mdadm --stop --scan
@@ -185,7 +187,25 @@ python-netaddr
 %post --log=/root/my-post-log
 # replace qemu-kvm-ev
 
+yum-config-manager --disable base updates extras
+yum-config-manager --enable C7.9.2009-*
+
 yum -y install centos-release-qemu-ev https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
+cat > /etc/yum.repos.d/CentOS-QEMU-EV.repo <<EOF
+# CentOS-QEMU-EV.repo
+#
+# Please see http://wiki.centos.org/SpecialInterestGroup/Virtualization for more
+# information
+
+[centos-qemu-ev]
+name=CentOS-$releasever - QEMU EV
+baseurl=http://linuxsoft.cern.ch/centos-vault/7.9.2009/virt/x86_64/kvm-common/
+gpgcheck=1
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Virtualization
+
+EOF
+
 yum -y install yum-plugin-replace
 yum -y remove webtatic-release
 yum -y replace qemu-kvm --replace-with qemu-kvm-ev
@@ -215,7 +235,8 @@ if [ "$NEWHOSTNAME" != "" -a "$KEEPRED" == "1" ]; then
 fi
 
 # Nacteme si vsechny disky
-readarray -t DISK_ARRAY <<< "$(egrep -o sd[a-z]{1}$ /proc/partitions | sort)"
+#readarray -t DISK_ARRAY <<< "$(egrep -o sd[a-z]{1}$ /proc/partitions | sort)"
+readarray -t DISK_ARRAY <<< "$(for d in $(ls /dev/disk/by-path/| grep -v -e usb -e part); do basename $(readlink /dev/disk/by-path/$d); done)"
 
 # Nacteme disk odkud jsme nyni nabootovali
 BOOT_PART=$(blkid -L BOOT | egrep -o sd[a-z]{1})
